<?php
namespace MageWorx\DynamicOptionsBase\Block\Adminhtml\Catalog\Product\Edit\Tab\DynamicOptions;

/**
 * Interceptor class for @see \MageWorx\DynamicOptionsBase\Block\Adminhtml\Catalog\Product\Edit\Tab\DynamicOptions
 */
class Interceptor extends \MageWorx\DynamicOptionsBase\Block\Adminhtml\Catalog\Product\Edit\Tab\DynamicOptions implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Catalog\Model\Locator\LocatorInterface $locator, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $locator, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
